package com.tongda.tdpimssdk.examples;

import com.alibaba.fastjson.JSONObject;
import com.tongda.tdpimssdk.entities.common.Catalog;
import com.tongda.tdpimssdk.entities.common.CatalogRoot;
import com.tongda.tdpimssdk.remote.RemoteAppConfiguration;
import com.tongda.tdpimssdk.remote.RemoteSaAuthHandler;
import com.tongda.tdpimssdk.remote.RemoteTdPimHelper;
import com.tongda.tdpimssdk.resultVo.vo.AssetVo;
import com.tongda.tdpimssdk.resultVo.vo.CatalogItem;
import com.tongda.tdpimssdk.resultVo.vo.TeamVo;

import java.util.List;

public class AppConfigurationSamples {
    public static void main(String[] args) {

        RemoteSaAuthHandler rsh = new RemoteSaAuthHandler("guantiantian","q1w2e3r4","121.199.160.117",9000);
        rsh.loginGetSaToken();
        rsh.setAppInstance("150.158.75.213",8080,"TXPIMDB");
        System.out.println("登录数据"+rsh.toString());
        //初始化远程查询对象
        RemoteTdPimHelper rqh = new RemoteTdPimHelper(rsh);

        String id;
//        id=rqh.createAppConfig(JSONObject.parseObject(createAppConfig, TeamVo.class));
//        System.out.println(
//                "-------------------------------------------" + "\n" +
//                        "SDK createAppConfig：" + "\n" +
//                        "-------------------------------------------"
//        );
//        System.out.println("创建返回结果:"+id);
        id="Team2-1131290597932400640";
//        RemoteAppConfiguration remoteAppConfiguration=rqh.fetchAppConfig(id);
//        System.out.println(
//                "-------------------------------------------" + "\n" +
//                        "SDK fetchAppConfig：" + "\n" +
//                        "-------------------------------------------"
//        );
//        System.out.println("查询返回结果:"+ remoteAppConfiguration.getId()+"/"+remoteAppConfiguration.getLabel()+"/"+remoteAppConfiguration.getDesc());

//        List<CatalogRoot> catalogList=rqh.queryAssetByCatalog(id,"CatalogAppView-1129455551755845632");
//        System.out.println(
//                "-------------------------------------------" + "\n" +
//                        "SDK queryAssetByCatalog：" + "\n" +
//                        "-------------------------------------------"
//        );
//        System.out.println("查询目录资产结果:"+catalogList.toString());

//        String re=rqh.deleteAppConfig(id);
//        System.out.println(
//                "-------------------------------------------" + "\n" +
//                        "SDK deleteAppConfig：" + "\n" +
//                        "-------------------------------------------"
//        );
//        System.out.println("返回结果:"+re);

        CatalogItem catalogItem=new CatalogItem();
        catalogItem.setId("Team2-1125463491344334848");
        catalogItem.setAssetID("Product-1126119026813042688");
        String re=rqh.removeAssetFromApp(catalogItem);
        System.out.println(
                "-------------------------------------------" + "\n" +
                        "SDK removeAssetFromApp：" + "\n" +
                        "-------------------------------------------"
        );
        System.out.println("资源移除返回结果:"+re);


//        CatalogItem catalogItem=new CatalogItem();
//        catalogItem.setId("Team2-1125463491344334848");
//        catalogItem.setAssetID("Product-1126119026813042688");
//        catalogItem.setCatalogID("CatalogAppView-1126118732670697472");
//        String re=rqh.addAssetRefToAppConfig(JSONObject.parseObject(removeAppConfig, CatalogItem.class));
//        System.out.println(
//                "-------------------------------------------" + "\n" +
//                        "SDK addAssetRefToAppConfig：" + "\n" +
//                        "-------------------------------------------"
//        );
//        System.out.println("资产加入业务返回结果:"+re);

    }

    public static String removeAppConfig="{\n" +
            "    \"id\": \"Team2-1125463491344334848\",\n" +
            "    \"assetID\": \"Product-1126119026813042688\"\n" +
            "}";
    public static String createAppConfig="{\n" +
            "  \"userId\": \"EndUser-1128343251971997696\",\n" +
            "  \"label\": \"test16\",\n" +
            "  \"desc\": \"test\",\n" +
            "  \"lifecycleID\": \"TDLifeCycleDefinition-Common\"\n" +
            "}";

    public static String updateAppConfig="{\n" +
            "  \"userId\": \"EndUser-1128343251971997696\",\n" +
            "  \"label\": \"test16\",\n" +
            "  \"desc\": \"test\",\n" +
            "  \"lifecycleID\": \"TDLifeCycleDefinition-Common\"\n" +
            "}";

}
