package com.tongda.tdpimssdk.examples;

import com.tongda.tdpimssdk.remote.RemoteAsset;
import com.tongda.tdpimssdk.remote.RemoteSaAuthHandler;
import com.tongda.tdpimssdk.remote.RemoteTdPimHelper;
import com.tongda.tdpimssdk.resultVo.vo.AssetVo;

import java.util.LinkedList;
import java.util.List;

public class UpdateSample {
    public static void main(String[] args) {
        RemoteSaAuthHandler rsh = new RemoteSaAuthHandler("guantiantian","q1w2e3r4","121.199.160.117",9000);
        rsh.setAppInstance("150.158.75.213",8080,"TXPIMDB");
        rsh.loginGetSaToken();

        //初始化远程查询对象
        RemoteTdPimHelper rqh = new RemoteTdPimHelper(rsh);
        RemoteAsset ra = rqh.fetchAsset("Product-1125789659889139712");

        AssetVo.AssetField assetField=new AssetVo.AssetField();
        assetField.setKey("td_data_center");
        assetField.setMode("tdpim.dict.system.metadata.mode.single.select.value");
        assetField.setValue("北京一区");
        List<AssetVo.AssetField> list=new LinkedList<>();

        //添加修改项，可以多个
        list.add(assetField);

        String ret = ra.updateAssetValues(list);

        System.out.println(ret);







    }
}
